PHPExcel_Shared_TimeZone

category | PHPExcel
package | PHPExcel_Shared
copyright | Copyright (c) 2006 - 2013 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

## Validate a Timezone name

    _validateTimeZone(string $timezone) : boolean

Static

### Parameters

#### $timezone

`string`

Time zone (e.g. 'Europe/London')

### Returns

`boolean`Success or failure

## Return the Default Timezone used for date/time conversions

    getTimeZone() : string

Static

### Returns

`string`Timezone (e.g. 'Europe/London')

## Return the Timezone offset used for date/time conversions to/from UST This requires both the timezone and the calculated date/time to allow for local DST

    getTimeZoneAdjustment(string $timezone, integer $timestamp) : integer

Static

### Parameters

#### $timezone

`string`

The timezone for finding the adjustment to UST

#### $timestamp

`integer`

PHP date/time value

### Exceptions

`\PHPExcel_Exception` |

### Returns

`integer`Number of seconds for timezone adjustment

## Set the Default Timezone used for date/time conversions

    setTimeZone(string $timezone) : boolean

Static

### Parameters

#### $timezone

`string`

Time zone (e.g. 'Europe/London')

### Returns

`boolean`Success or failure

## Return the Timezone transition for the specified timezone and timestamp

    _getTimezoneTransitions(\DateTimeZone $objTimezone, integer $timestamp) : array

Static

### Parameters

#### $objTimezone

`\DateTimeZone`

The timezone for finding the transitions

#### $timestamp

`integer`

PHP date/time value for finding the current transition

### Returns

`array`The current transition details

### Properties

##

    $_timezone